ur_rna.RNAstructure.backend

## Class Dynalign_object

- java.lang.Object
- - ur_rna.RNAstructure.backend.TwoRNA
  - - ur_rna.RNAstructure.backend.Dynalign_object

-     public class Dynalign_object
      extends TwoRNA

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `swigCPtr`

    - ### Fields inherited from class ur_rna.RNAstructure.backend.TwoRNA

      `swigCMemOwn`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `Dynalign_object()`
    `protected` | `Dynalign_object(long cPtr, boolean cMemoryOwn)`
    `` | `Dynalign_object(java.lang.String filename)`
    `` | `Dynalign_object(java.lang.String filename1, int type1, java.lang.String filename2, int type2)`
    `` | `Dynalign_object(java.lang.String filename1, int type1, java.lang.String filename2, int type2, boolean IsRNA)`
    `` | `Dynalign_object(java.lang.String filename1, int type1, java.lang.String filename2, int type2, Thermodynamics thermo1)`
    `` | `Dynalign_object(java.lang.String filename, short maxtrace, short bpwin, short awin, short percent)`
    `` | `Dynalign_object(java.lang.String sequence1, java.lang.String sequence2)`
    `` | `Dynalign_object(java.lang.String sequence1, java.lang.String sequence2, boolean IsRNA)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete()`
    `int` | `Dynalign()`
    `int` | `Dynalign(short maxtrace)`
    `int` | `Dynalign(short maxtrace, short bpwin)`
    `int` | `Dynalign(short maxtrace, short bpwin, short awin)`
    `int` | `Dynalign(short maxtrace, short bpwin, short awin, short percent)`
    `int` | `Dynalign(short maxtrace, short bpwin, short awin, short percent, short imaxseparation)`
    `int` | `Dynalign(short maxtrace, short bpwin, short awin, short percent, short imaxseparation, float gap)`
    `int` | `Dynalign(short maxtrace, short bpwin, short awin, short percent, short imaxseparation, float gap, boolean singleinsert)`
    `int` | `Dynalign(short maxtrace, short bpwin, short awin, short percent, short imaxseparation, float gap, boolean singleinsert, java.lang.String savefile)`
    `int` | `Dynalign(short maxtrace, short bpwin, short awin, short percent, short imaxseparation, float gap, boolean singleinsert, java.lang.String savefile, boolean optimalonly)`
    `int` | `Dynalign(short maxtrace, short bpwin, short awin, short percent, short imaxseparation, float gap, boolean singleinsert, java.lang.String savefile, boolean optimalonly, short singlefold_subopt_percent)`
    `int` | `Dynalign(short maxtrace, short bpwin, short awin, short percent, short imaxseparation, float gap, boolean singleinsert, java.lang.String savefile, boolean optimalonly, short singlefold_subopt_percent, boolean local)`
    `int` | `Dynalign(short maxtrace, short bpwin, short awin, short percent, short imaxseparation, float gap, boolean singleinsert, java.lang.String savefile, boolean optimalonly, short singlefold_subopt_percent, boolean local, short numProcessors)`
    `int` | `Dynalign(short maxtrace, short bpwin, short awin, short percent, short imaxseparation, float gap, boolean singleinsert, java.lang.String savefile, boolean optimalonly, short singlefold_subopt_percent, boolean local, short numProcessors, int maxpairs)`
    `protected void` | `finalize()`
    `int` | `ForceAlignment(int i, int k)`
    `double` | `GetBestPairEnergy(int sequence, int i, int j)`
    `protected static long` | `getCPtr(Dynalign_object obj)`
    `java.lang.String` | `GetErrorMessage(int error)`
    `int` | `GetForcedAlignment(int i, int seq)`
    `double` | `GetLowestEnergy()`
    `int` | `ReadAlignmentConstraints(java.lang.String filename)`
    `void` | `SetProgress(ProgressHandler Progress)`
    `void` | `StopProgress()`
    `int` | `Templatefromct(java.lang.String ctfilename)`
    `int` | `Templatefromdsv(java.lang.String dsvfilename, float maxdsvchange)`
    `void` | `WriteAlignment(java.lang.String filename)`

    - ### Methods inherited from class ur_rna.RNAstructure.backend.TwoRNA

      `getCompoundmessage, getCPtr, GetErrorCode, GetErrorDetails, GetErrorMessageString, GetRNA1, GetRNA2, GetTemperature, ResetError, setCompoundmessage, SetErrorDetails, SetTemperature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swigCPtr

          private transient long swigCPtr

  - ### Constructor Detail

    - #### Dynalign_object

          public Dynalign_object()

    - #### Dynalign_object

          protected Dynalign_object(long cPtr,
                                    boolean cMemoryOwn)

    - #### Dynalign_object

          public Dynalign_object(java.lang.String filename)

    - #### Dynalign_object

          public Dynalign_object(java.lang.String filename1,
                                 int type1,
                                 java.lang.String filename2,
                                 int type2)

    - #### Dynalign_object

          public Dynalign_object(java.lang.String filename1,
                                 int type1,
                                 java.lang.String filename2,
                                 int type2,
                                 boolean IsRNA)

    - #### Dynalign_object

          public Dynalign_object(java.lang.String filename1,
                                 int type1,
                                 java.lang.String filename2,
                                 int type2,
                                 Thermodynamics thermo1)

    - #### Dynalign_object

          public Dynalign_object(java.lang.String filename,
                                 short maxtrace,
                                 short bpwin,
                                 short awin,
                                 short percent)

    - #### Dynalign_object

          public Dynalign_object(java.lang.String sequence1,
                                 java.lang.String sequence2)

    - #### Dynalign_object

          public Dynalign_object(java.lang.String sequence1,
                                 java.lang.String sequence2,
                                 boolean IsRNA)

  - ### Method Detail

    - #### delete

          public void delete()

      Overrides:
        `delete` in class `TwoRNA`

    - #### Dynalign

          public int Dynalign()

    - #### Dynalign

          public int Dynalign(short maxtrace)

    - #### Dynalign

          public int Dynalign(short maxtrace,
                              short bpwin)

    - #### Dynalign

          public int Dynalign(short maxtrace,
                              short bpwin,
                              short awin)

    - #### Dynalign

          public int Dynalign(short maxtrace,
                              short bpwin,
                              short awin,
                              short percent)

    - #### Dynalign

          public int Dynalign(short maxtrace,
                              short bpwin,
                              short awin,
                              short percent,
                              short imaxseparation)

    - #### Dynalign

          public int Dynalign(short maxtrace,
                              short bpwin,
                              short awin,
                              short percent,
                              short imaxseparation,
                              float gap)

    - #### Dynalign

          public int Dynalign(short maxtrace,
                              short bpwin,
                              short awin,
                              short percent,
                              short imaxseparation,
                              float gap,
                              boolean singleinsert)

    - #### Dynalign

          public int Dynalign(short maxtrace,
                              short bpwin,
                              short awin,
                              short percent,
                              short imaxseparation,
                              float gap,
                              boolean singleinsert,
                              java.lang.String savefile)

    - #### Dynalign

          public int Dynalign(short maxtrace,
                              short bpwin,
                              short awin,
                              short percent,
                              short imaxseparation,
                              float gap,
                              boolean singleinsert,
                              java.lang.String savefile,
                              boolean optimalonly)

    - #### Dynalign

          public int Dynalign(short maxtrace,
                              short bpwin,
                              short awin,
                              short percent,
                              short imaxseparation,
                              float gap,
                              boolean singleinsert,
                              java.lang.String savefile,
                              boolean optimalonly,
                              short singlefold_subopt_percent)

    - #### Dynalign

          public int Dynalign(short maxtrace,
                              short bpwin,
                              short awin,
                              short percent,
                              short imaxseparation,
                              float gap,
                              boolean singleinsert,
                              java.lang.String savefile,
                              boolean optimalonly,
                              short singlefold_subopt_percent,
                              boolean local)

    - #### Dynalign

          public int Dynalign(short maxtrace,
                              short bpwin,
                              short awin,
                              short percent,
                              short imaxseparation,
                              float gap,
                              boolean singleinsert,
                              java.lang.String savefile,
                              boolean optimalonly,
                              short singlefold_subopt_percent,
                              boolean local,
                              short numProcessors)

    - #### Dynalign

          public int Dynalign(short maxtrace,
                              short bpwin,
                              short awin,
                              short percent,
                              short imaxseparation,
                              float gap,
                              boolean singleinsert,
                              java.lang.String savefile,
                              boolean optimalonly,
                              short singlefold_subopt_percent,
                              boolean local,
                              short numProcessors,
                              int maxpairs)

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `TwoRNA`

    - #### ForceAlignment

          public int ForceAlignment(int i,
                                    int k)

    - #### GetBestPairEnergy

          public double GetBestPairEnergy(int sequence,
                                          int i,
                                          int j)

    - #### getCPtr

          protected static long getCPtr(Dynalign_object obj)

    - #### GetErrorMessage

          public java.lang.String GetErrorMessage(int error)

      Overrides:
        `GetErrorMessage` in class `TwoRNA`

    - #### GetForcedAlignment

          public int GetForcedAlignment(int i,
                                        int seq)

    - #### GetLowestEnergy

          public double GetLowestEnergy()

    - #### ReadAlignmentConstraints

          public int ReadAlignmentConstraints(java.lang.String filename)

    - #### SetProgress

          public void SetProgress(ProgressHandler Progress)

    - #### StopProgress

          public void StopProgress()

    - #### Templatefromct

          public int Templatefromct(java.lang.String ctfilename)

    - #### Templatefromdsv

          public int Templatefromdsv(java.lang.String dsvfilename,
                                     float maxdsvchange)

    - #### WriteAlignment

          public void WriteAlignment(java.lang.String filename)